Bug 790424 - drbd requires drbd-xen - seriously?
Summary: drbd requires drbd-xen - seriously?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: drbd
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Major Hayden 🤠
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-14 13:59 UTC by Oliver Falk
Modified: 2012-03-01 09:22 UTC (History)
1 user (show)

Fixed In Version: drbd-8.3.11-4.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-28 10:52:24 UTC
Type: ---


Attachments (Terms of Use)

Description Oliver Falk 2012-02-14 13:59:07 UTC
Hi!

I wonder why drbd pulls in drbd-xen as a dependency. I see from the specfile, that there is a build conditional and if drbd is built with xen support, it also adds drbd-xen as Requires:.

I wonder if this might be a mistake or if there's really a good reason!?

br,
 -of

Comment 1 Major Hayden 🤠 2012-02-14 14:02:51 UTC
Oliver - 

This was left over when I inherited the package.  I'll give it a look as soon as I can and see if it would make sense to drop the dependency.

Major

Comment 2 Oliver Falk 2012-02-14 14:47:12 UTC
Hi Major!

Thanks for your quick response!

From what I have seen so far, you can simply remove the 4 lines in the specfile. I rebuilt the package here on a testmachine and installed drbd - so far no problems.

Comment 3 Major Hayden 🤠 2012-02-14 14:54:25 UTC
Do you have a working patch you could provide?

Comment 4 Oliver Falk 2012-02-14 15:48:55 UTC
Yes. A very simple one:

--- drbd-8.3.11.spec    2012-02-14 15:00:48.000000000 +0100
+++ drbd-8.3.11.of.spec 2012-02-14 16:47:08.416499358 +0100
@@ -28,7 +28,7 @@
 Name: drbd
 Summary: DRBD driver for Linux
 Version: 8.3.11
-Release: 1%{?dist}
+Release: 1.1%{?dist}
 Source: http://oss.linbit.com/%{name}/8.3/%{name}-%{version}.tar.gz
 License: GPLv2+
 ExclusiveOS: linux
@@ -37,11 +37,6 @@
 BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 BuildRequires: flex
 Requires: %{name}-utils = %{version}
-%ifarch %{ix86} x86_64
-%if %{with xen}
-Requires: %{name}-xen = %{version}
-%endif
-%endif
 %if %{with udev}
 Requires: %{name}-udev = %{version}
 BuildRequires: udev
@@ -281,6 +276,9 @@


 %changelog
+* Tue Feb 14 2012 Oliver Falk <oliver@linux-kernel.at> - 8.3.11-1.1
+- Don't require xen in the main package if built with xen
+
 * Wed Aug 03 2011 Major Hayden <major@mhtx.net> - 8.3.11-1
 - New upstream release.

Comment 5 Fedora Update System 2012-02-21 05:51:52 UTC
drbd-8.3.11-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drbd-8.3.11-4.fc17

Comment 6 Fedora Update System 2012-02-21 05:52:57 UTC
drbd-8.3.11-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/drbd-8.3.11-4.fc16

Comment 7 Fedora Update System 2012-02-21 05:53:45 UTC
drbd-8.3.11-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/drbd-8.3.11-4.fc15

Comment 8 Fedora Update System 2012-02-21 17:43:58 UTC
Package drbd-8.3.11-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing drbd-8.3.11-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2109/drbd-8.3.11-4.fc17
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2012-02-28 10:52:24 UTC
drbd-8.3.11-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-03-01 09:18:45 UTC
drbd-8.3.11-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-03-01 09:22:09 UTC
drbd-8.3.11-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.